RedRavenApi reference

Evaluate reconnaissance responses

Submit target responses for each probe. `is_answered` true means the probe was answered (a fail). Results are stored on the test and are required before scenario generation.

POST
/tests/{test_id}/reconnaissance/evaluate

Submit target responses for each probe. is_answered true means the probe was answered (a fail). Results are stored on the test and are required before scenario generation.

Authorization

ApiKeyAuth OrganizationId
X-API-Key<token>

Your RedRaven API key.

In: header

X-Organization-Id<token>

RedRaven organization UUID that scopes the API key.

In: header

Path Parameters

test_id*string

RedRaven test UUID.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/reconnaissance/evaluate" \  -H "Content-Type: application/json" \  -d '{    "items": [      {        "request": "string",        "response": "string"      }    ]  }'
{  "test_id": "22e96a18-23fe-4c06-8ee6-180390ceaded",  "results": [    {      "probe_id": "string",      "request": "string",      "response": "string",      "is_answered": true    }  ],  "answered_count": 0,  "refused_count": 0}